Subject: bug#23386: Segfault when messing with font-backend

From: [email-masked]
Date: Sat, 09 Jul 2016 16:02:30 -0400

[email-masked] writes:

> Here is a patch that attempts to fix the issue by resetting the font
> after the backend is changed.  It does let Emacs successfully open the
> frame with the new font (no funny box characters in the modeline), but
> I'm not sure if it's the best way of marking the font object invalid.

Definitely not the best way: it causes segfault on delete-frame.